eth_getUserOperationReceipt
POST
/{apiKey}
Get the UserOperationReceipt based on the userOpHash.
Limitations
This method retrieves and decodes userOperations from the logs of mined transactions by querying the node. If you attempt to fetch a receipt for a transaction from a distant past block, the request may be rejected by the node due to limitations on the block range size it can process.
The default range we support is 150 blocks, however the following networks have an unlimited range.
- Ethereum
- Polygon
- Base
- Optimism
- Worldchain
- Arbitrum
Path Parameters
stringrequireddefaults to
docs-demoFor higher throughput, create your own API key
Request
string
format: "^0x[0-9a-f]{64}$"requiredThe userOpHash of the UserOperation to get the receipt for (as returned by eth_sendUserOperation).
enumoptional
The blocktag for checking the UO status. "pending" or "latest". Defaults to "latest".".
Allowed values:
Responses
200
`UserOperationReceipt` object representing the outcome of a `UserOperation`.
Was this page helpful?